Loading...
Searching...
No Matches
Constants.hpp File Reference

Header for GeographicLib::Constants class. More...

`#include <GeographicLib/Config.h>`
`#include <stdexcept>`
`#include <string>`
`#include <GeographicLib/Math.hpp>`

Go to the source code of this file.

## Classes

class | GeographicLib::Constants
| Constants needed by GeographicLib More...
class | GeographicLib::GeographicErr
| Exception handling for GeographicLib. More...

## Namespaces

namespace | GeographicLib
| Namespace for GeographicLib.

## Macros

#define | GEOGRAPHICLIB_EXPORT

## Detailed Description

Header for GeographicLib::Constants class.

Copyright (c) Charles Karney (2008-2024) karne.nosp@m.y@al.nosp@m.um.mi.nosp@m.t.ed.nosp@m.u and licensed under the MIT/X11 License. For more information, see https://geographiclib.sourceforge.io/

Definition in file Constants.hpp.

## Macro Definition Documentation

## GEOGRAPHICLIB_EXPORT

#define GEOGRAPHICLIB_EXPORT

Definition at line 59 of file Constants.hpp.